Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:47 2009

## Asterisk developer's documentation

# osp_provider Struct Reference

Collaboration diagram for osp_provider:

[legend]

## Data Fields

char | cacerts [MAX_CERTS][OSP_MAX]
int | cacount
int | dead
OSPTPROVHANDLE | handle
char | localcert [OSP_MAX]
char | localpvtkey [OSP_MAX]
int | maxconnections
char | name [OSP_MAX]
struct osp_provider * | next
int | retrydelay
int | retrylimit
char | servicepoints [MAX_SERVICEPOINTS][OSP_MAX]
char | source [OSP_MAX]
int | spcount
int | timeout

## Detailed Description

Definition at line 80 of file res_osp.c.

## Field Documentation

char cacerts[MAX_CERTS][OSP_MAX]

Definition at line 84 of file res_osp.c.

Referenced by osp_build(), and show_osp().

int cacount

Definition at line 85 of file res_osp.c.

Referenced by osp_build(), and show_osp().

int dead

Definition at line 89 of file res_osp.c.

Referenced by config_load(), and osp_build().

OSPTPROVHANDLE handle

Definition at line 94 of file res_osp.c.

Referenced by ast_osp_lookup(), ast_osp_validate(), osp_build(), and show_osp().

char localcert[OSP_MAX]

Definition at line 83 of file res_osp.c.

Referenced by osp_build(), and show_osp().

char localpvtkey[OSP_MAX]

Definition at line 82 of file res_osp.c.

Referenced by osp_build(), and show_osp().

int maxconnections

Definition at line 90 of file res_osp.c.

Referenced by osp_build(), and show_osp().

char name[OSP_MAX]

Definition at line 81 of file res_osp.c.

Referenced by ast_osp_lookup(), ast_osp_validate(), osp_build(), and show_osp().

struct osp_provider* next`[read]`

Definition at line 95 of file res_osp.c.

Referenced by ast_osp_lookup(), ast_osp_validate(), config_load(), osp_build(), and show_osp().

int retrydelay

Definition at line 91 of file res_osp.c.

Referenced by osp_build(), and show_osp().

int retrylimit

Definition at line 92 of file res_osp.c.

Referenced by osp_build(), and show_osp().

char servicepoints[MAX_SERVICEPOINTS][OSP_MAX]

Definition at line 86 of file res_osp.c.

Referenced by osp_build(), and show_osp().

char source[OSP_MAX]

Definition at line 87 of file res_osp.c.

Referenced by ast_osp_lookup(), ast_osp_validate(), osp_build(), and show_osp().

int spcount

Definition at line 88 of file res_osp.c.

Referenced by osp_build(), and show_osp().

int timeout

Definition at line 93 of file res_osp.c.

Referenced by osp_build(), and show_osp().

The documentation for this struct was generated from the following file:

- res_osp.c